

Name: winexe
Version: 1.1
Release: 6.beta1%{?dist}
License: GPLv3+
URL: http://sourceforge.net/projects/winexe/
Summary: Remote Windows-command executor

Source0: %{name}-waf-%{version}.zip

Patch0: winexe-waf-1.1-build_on_samba_4_2.patch

BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc
BuildRequires: popt-devel
BuildRequires: python
BuildRequires: samba-devel
%if 0%{?rhel} >= 7
BuildRequires: samba-client-libs
%endif

%description
Winexe remotely executes commands on Windows systems.


%prep
%setup -q -n %{name}-waf-master
%if 0%{?rhel} >= 6
%patch0 -p1
%endif

%build
cd source
CFLAGS='%{mingw32_cflags}' LINKFLAGS='%{mingw32_ldflags}' ./waf configure build --prefix=%{_usr} --targets=winexesvc32.exe
CFLAGS='%{mingw64_cflags}' LINKFLAGS='%{mingw64_ldflags}' ./waf configure build --prefix=%{_usr} --targets=winexesvc64.exe
CFLAGS="$RPM_OPT_FLAGS" LINKFLAGS="$RPM_LD_FLAGS" ./waf configure build --prefix=%{_usr} --targets=bin2c,winexesvc32_exe.c,winexesvc64_exe.c,winexe


%install
cd source
%{__install} -D -m 755 build/%{name} %{buildroot}%{_bindir}/%{name}
%{__install} -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc COPYING NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Jun 3 2016 Daniel Berteaud <daniel@firewall-services.com> 1.1-6
- Also apply samba 4.2.10 patch for el6

* Thu Apr 21 2016 Daniel Berteaud <daniel@firewall-services.com> 1.1-5
- Rebuild for samba 4.2.10 in el7

* Tue Jan 12 2016 Daniel Berteaud <daniel@firewall-services.com> 1.1-4
- Add samba-client-libs to BuildReq
- Since EL 7.2 cli-ldap is cli-ldap-samba4, errors is errors-samba4 and
  dcrpc-samba is dcrpc-samba4
- Remove every DEBUG for EL 7 since samba 4.2 made this part private

* Tue Dec 15 2015 Daniel Berteaud <daniel@firewall-services.com> 1.1-3
- Rebuild for EL 7.2

* Thu Apr 16 2015 Daniel Berteaud <daniel@firewall-services.com> 1.1-2
- Rebuild for EL 7.1

* Tue Mar 25 2014 Tomas Edwardsson <tommi@tommi.org> 1.1-1
- Removed checkout (tommi@tommi.org)
- Updated changelog (tommi@tommi.org)
- Remove patch, already applied (tommi@tommi.org)
- tito releaser configuration added (tommi@tommi.org)

* Tue Mar 25 2014 Tomas Edwardsson <tommi@tommi.org>
- Removed checkout (tommi@tommi.org)
- Updated changelog (tommi@tommi.org)
- Remove patch, already applied (tommi@tommi.org)
- tito releaser configuration added (tommi@tommi.org)

* Tue Mar 25 2014 Tomas Edwardsson <tommi@tommi.org>
- Remove patch, already applied (tommi@tommi.org)
- tito releaser configuration added (tommi@tommi.org)

* Tue Mar 25 2014 Tomas Edwardsson <tommi@tommi.org> 1.1-0.2.20140208gitb787d2a
- new package built with tito

* Tue Feb 11 2014 Satoshi Matsumoto <kaorimatz@gmail.com> - 1.1-0.2.20140208gitb787d2a
- Fix license to GPLv3+

* Sat Feb 08 2014 Satoshi Matsumoto <kaorimatz@gmail.com> - 1.1-0.1.20140208gitb787d2a
- Initial package
